Exiv2: Exiv2::DateValue Class Reference

# Exiv2::DateValue Class Reference

Value for simple ISO 8601 dates More...

`#include <value.hpp>`

Inheritance diagram for Exiv2::DateValue:
[legend]
Collaboration diagram for Exiv2::DateValue:
[legend]

List of all members.

## Public Types
typedef std::auto_ptr< DateValue > | AutoPtr
| Shortcut for a DateValue auto pointer.
## Public Member Functions
Creators
| DateValue ()
| Default constructor.
| DateValue (int year, int month, int day)
| Constructor.
virtual | ~DateValue ()
| Virtual destructor.
Manipulators
virtual int | read (const byte *buf, long len, ByteOrder byteOrder=invalidByteOrder)
| Read the value from a character buffer.
virtual int | read (const std::string &buf)
| Set the value to that of the string buf.
void | setDate (const Date &src)
| Set the date.
Accessors
AutoPtr | clone () const
| Return an auto-pointer to a copy of itself (deep copy). The caller owns this copy and the auto-pointer ensures that it will be deleted.
virtual long | copy (byte *buf, ByteOrder byteOrder=invalidByteOrder) const
| Write value to a character data buffer.
virtual const Date & | getDate () const
| Return date struct containing date information.
virtual long | count () const
| Return the number of components of the value.
virtual long | size () const
| Return the size of the value in bytes.
virtual std::ostream & | write (std::ostream &os) const
| Write the value to an output stream. You do not usually have to use this function; it is used for the implementation of the output operator for Value, operator<<(std::ostream &os, const Value &value).
virtual long | toLong (long n=0) const
| Return the value as a UNIX calender time converted to long.
virtual float | toFloat (long n=0) const
| Return the value as a UNIX calender time converted to float.
virtual Rational | toRational (long n=0) const
| Return the value as a UNIX calender time converted to Rational.
## Classes
struct | Date
| Simple Date helper structure. More...

## Detailed Description

Value for simple ISO 8601 dates

This class is limited to parsing simple date strings in the ISO 8601 format CCYYMMDD (century, year, month, day).

## Member Function Documentation

virtual int Exiv2::DateValue::read | ( | const byte * | buf,
|  | long | len,
|  | ByteOrder | byteOrder = `invalidByteOrder` |
| ) |  |  | `[virtual]`

Read the value from a character buffer.

Note:
  The byte order is required by the interface but not used by this method, so just use the default.

Parameters:

  | buf | Pointer to the data buffer to read from
  | len | Number of bytes in the data buffer
  | byteOrder | Byte order. Not needed.

Returns:
  0 if successful
  1 in case of an unsupported date format

Implements Exiv2::Value.

virtual int Exiv2::DateValue::read | ( | const std::string & | buf | ) | `[virtual]`

Set the value to that of the string buf.

Parameters:

  | buf | String containing the date

Returns:
  0 if successful
  1 in case of an unsupported date format

Implements Exiv2::Value.

virtual long Exiv2::DateValue::copy | ( | byte * | buf,
|  | ByteOrder | byteOrder = `invalidByteOrder` |
| ) |  |  | const`[virtual]`

Write value to a character data buffer.

The user must ensure that the buffer has enough memory. Otherwise the call results in undefined behaviour.

Note:
  The byte order is required by the interface but not used by this method, so just use the default.

Parameters:

  | buf | Data buffer to write to.
  | byteOrder | Byte order. Not used.

Returns:
  Number of characters written.

Implements Exiv2::Value.

The documentation for this class was generated from the following file:

- value.hpp